#### D.4.15.1 modQuotient

Procedure from library `modquotient.lib` (see modquotient_lib).

Usage:
  modQuotient(I, J, #); I, J ideals, # an optional list which is either empty (not entered) or consists of precisely one integer which is 0 or 1.

Assume:
  The common basering of I and J is defined over the rationals.

Return:
  The ideal quotient I:J.

Note:
  - The resulting ideal is given by a standard basis in the basering.
  - The final result will be checked for correctness if # is either empty (not entered) or if #[1] = 1. Without the check, the functions returns a result which is correct with high probability.

Example:

    LIB "modquotient.lib";
    ring R = 0, (x,y,z), dp;
    ideal I = x2+xyz, y2-z3y, z3+y5xz;
    ideal J = maxideal(3);
    ideal K = modQuotient(I, J);
    K;
    ==> K[1]=yz2+xz
    ==> K[2]=xz2+y2
    ==> K[3]=y2z+xy
    ==> K[4]=xyz+x2
    ==> K[5]=y3-x2z
    ==> K[6]=z4-yz
    ==> K[7]=x4y-z2
    ==> K[8]=x5+z3

User manual for Singular version 4.4.1, 2025, generated by texi2html.